# DataExchange
TKIGES
IGESToBRep

# IGESToBRep_Actor Class Reference

This class performs the transfer of an Entity from
IGESToBRep
I.E. for each type of Entity, it invokes the appropriate Tool
then returns the Binder which contains the Result
.

`#include <IGESToBRep_Actor.hxx>`

Inheritance diagram for IGESToBRep_Actor:

[legend]

## Public Member Functions

Standard_EXPORT | IGESToBRep_Actor ()
Standard_EXPORT void | SetModel (const Handle(Interface_InterfaceModel)&model)
Standard_EXPORT void | SetContinuity (const Standard_Integer continuity=0)
| ---Purpose By default continuity = 0 if continuity = 1 : try C1 if continuity = 2 : try C2
Standard_EXPORT Standard_Integer | GetContinuity () const
| Return "thecontinuity" .
virtual Standard_EXPORT Standard_Boolean | Recognize (const Handle(Standard_Transient)&start)
virtual Standard_EXPORT Handle_Transfer_Binder | Transfer (const Handle(Standard_Transient)&start, const Handle(Transfer_TransientProcess)&TP)
Standard_EXPORT Standard_Real | UsedTolerance () const
| Returns the tolerance which was actually used, either from the file or from statics .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_InterfaceModel | themodel
Standard_Integer | thecontinuity
Standard_Real | theeps

## Constructor & Destructor Documentation

Standard_EXPORT IGESToBRep_Actor::IGESToBRep_Actor | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESToBRep_Actor::GetContinuity | ( |  | ) | const

Standard_EXPORT const IGESToBRep_Actor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_ActorOfTransientProcess.

virtual Standard_EXPORT Standard_Boolean IGESToBRep_Actor::Recognize | ( | const Handle(Standard_Transient)& | start | ) | `[virtual]`

| Reimplemented from Transfer_ActorOfProcessForTransient.

Standard_EXPORT void IGESToBRep_Actor::SetContinuity | ( | const Standard_Integer | continuity = `0` | ) |

Standard_EXPORT void IGESToBRep_Actor::SetModel | ( | const Handle(Interface_InterfaceModel)& | model | ) |

virtual Standard_EXPORT Handle_Transfer_Binder IGESToBRep_Actor::Transfer | ( | const Handle(Standard_Transient)& | start,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) | `[virtual]`

| Reimplemented from Transfer_ActorOfTransientProcess.

Standard_EXPORT Standard_Real IGESToBRep_Actor::UsedTolerance | ( |  | ) | const

## Field Documentation

Standard_Integer IGESToBRep_Actor::thecontinuity `[private]`

Standard_Real IGESToBRep_Actor::theeps `[private]`

Handle_Interface_InterfaceModel IGESToBRep_Actor::themodel `[private]`

The documentation for this class was generated from the following file:

- IGESToBRep_Actor.hxx